Get review rule

GET
/api/v1/review-rules/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

id*string
Match^rrule_
Length32 <= length <= 32

Response body

ReviewRuleRead

application/json
  1. response
rule*|null
curl -X GET 'https://api.capy.ai/api/v1/review-rules/string'
{  "rule": {    "id": "string",    "body": "string",    "scopes": [      {        "repo": "string",        "paths": [          "string"        ],        "githubRepoId": 0,        "covered": true,        "heldByCaller": true      }    ],    "file": {      "repo": "string",      "path": "string",      "githubRepoId": 0,      "covered": true    },    "status": "active",    "source": "app",    "sourceRef": "string",    "createdByUserId": "string",    "createdByName": "string",    "firedCount": 0,    "lastFired": {      "repo": "string",      "prNumber": 0,      "at": "string"    },    "createdAt": "string",    "updatedAt": "string"  }}
Open in Capy